Skip to content

Update a User Sync Job Schedule

Request

Updates the schedule for a user sync job for an Active Directory connection

Security
bearerAuth
Path
team_namestringrequired

The name of your Team

ad_connection_idstringrequired

The UUID of an AD connection

ad_user_sync_task_settings_idstringrequired

The UUID of an existing user sync job

Bodyapplication/json
base_dnstring

The domain to search for user accounts

frequencystring

Indicates how often the user sync job runs. Possible values: 1, 6, 12, 24.

Example:24
is_activeboolean

If true, enables the user sync job

LDAP_query_filterstring

Defines the criteria used to filter user accounts

namestring

The name of the user sync job

Example:"User Sync Job - 1"
SID_Fieldstring

The AD attribute that defines the security identifier (SID) for accounts. Most AD tenants use objectSID.

Example:"objectsid"
start_hour_utcstring

A UTC timestamp that indicates the hour range when the user sync job runs. Only used if frequency is set to 24.

Example:"2022-08-24T14:15:22Z"
UPN_Fieldstring

The AD attribute that defines the User Principal Name (UPN) for accounts. Most AD tenants use userPrincipalName.

Example:"userprincipalname"
curl -i -X POST \
  'https://app.scaleft.com/v1/teams/{team_name}/integrations/ad_connections/{ad_connection_id}/user_sync_task_settings/{ad_user_sync_task_settings_id}/schedule' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "base_dn": "string",
    "frequency": 24,
    "is_active": true,
    "LDAP_query_filter": "string",
    "name": "User Sync Job - 1",
    "SID_Field": "objectsid",
    "start_hour_utc": "2022-08-24T14:15:22Z",
    "UPN_Field": "userprincipalname"
  }'

Responses

No Content